incubator-oozie-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremy Hanna <jeremy.hanna1...@gmail.com>
Subject Re: Authentication problems
Date Mon, 30 Apr 2012 17:21:29 GMT

On Apr 30, 2012, at 11:35 AM, Jeremy Hanna wrote:

> 
> On Apr 30, 2012, at 11:03 AM, Jeremy Hanna wrote:
> 
>> 
>> On Apr 30, 2012, at 10:46 AM, Alejandro Abdelnur wrote:
>> 
>>> Is there a patch for branch-1? if so I'll try to get i committed.
>> Looks like Todd posted a 0.20 based patch as well - not sure if that applies cleanly
to branch-1 though.
> 
> Alejandro,
> 
> The 0.20 patch appears to apply cleanly to branch-1 - just limited to ProxyUsers and
TestProxyUsers, so the scope is small.  I see that Todd updated that patch to include some
documentation but I would think that could be redone fairly simply for an updated patch. 
I could do that if you'd like and upload it as branch-1 ready patch with documentation?
> 
> Jeremy

Alejandro: attached updated patch to https://issues.apache.org/jira/browse/HADOOP-6995

> 
>> 
>> 
>>> On Mon, Apr 30, 2012 at 8:41 AM, Jeremy Hanna <jeremy.hanna1234@gmail.com>wrote:
>>> 
>>>> 
>>>> On Apr 28, 2012, at 9:43 PM, Roman Shaposhnik wrote:
>>>> 
>>>>> On Sat, Apr 28, 2012 at 7:18 PM, Grant Ingersoll <gsingers@apache.org>
>>>> wrote:
>>>>>>> <property>
>>>>>>> <name>hadoop.proxyuser.root.hosts</name>
>>>>>>> <value>*</value>
>>>>>>> </property>
>>>>>> 
>>>>>> I don't think you can use wildcards here.  I believe you need to,
>>>> unfortunately, pass in IP addresses.
>>>>> 
>>>>> You sure can. It is allowed. In Bigtop we have the following by default
>>>> when you
>>>>> install hadoop in pseudo distributed configuration.
>>>>> 
>>>>> <property>
>>>>> <name>hadoop.proxyuser.oozie.hosts</name>
>>>>> <value>*</value>
>>>>> </property>
>>>>> <property>
>>>>> <name>hadoop.proxyuser.oozie.groups</name>
>>>>> <value>*</value>
>>>>> </property>
>>>> 
>>>> Isn't that part of https://issues.apache.org/jira/browse/HADOOP-6995which
currently is only committed to Hadoop 0.23?
>>>> 
>>>> I still wish that relatively trivial ticket was committed to Hadoop 1.0.x
>>>> - I think it would alleviate a lot of frustration for new Oozie users,
>>>> which I think would help Oozie's uptake.
>>>> 
>>>> 
>>> 
>>> 
>>> -- 
>>> Alejandro
>> 
> 


Mime
View raw message